#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	ifstream f("demduong.inp");
	int N,a,tong,dem;
	f>>N;
	ofstream f1("demduong.out");
	tong=0; dem=0;
    for (int i = 1;i<=N;i++)
    {    
        f>>a;    
        if (a>0) {tong=tong+a;dem++;}
    }
    f1<<dem<<" "<<tong<<endl;
    f.close(); f1.close();
}
